package se.hig.jdalmas;

import se.sics.prologbeans.PBTerm;

public class KnowledgeBase extends GenericComponent {
	private PBTerm prologTerm;

//	/**
//	 * 
//	 */
//	protected KnowledgeBase() {
//		super();
//	}

	/**
	 * @param prologTerm
	 */
	public KnowledgeBase(PBTerm prologTerm) {
//		super(prologTerm);
		this.prologTerm = prologTerm;
	}
	
	/**
	 * @return the prologTerm
	 */
	public PBTerm getPrologTerm() {
		return prologTerm;
	}

	public final String toPrologString() {
		return this.prologTerm.toString();
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return this.toPrologString();
	}

	public static PBTerm createPrologTerm(KnowledgeBase knowledgeBase) {
		return knowledgeBase.getPrologTerm();
	}

	public static KnowledgeBase createKnowledgeBase(PBTerm kbTerm) {
		return new KnowledgeBase(kbTerm);
	}
	
	public static KnowledgeBase createEmptyKnowledgeBase() {
		return new KnowledgeBase(PBTerm.NIL);
	}	
}