/**
 * 
 */
package se.hig.jdalmas.gui;

import javax.swing.Box;
import javax.swing.JApplet;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JTextField;

/**
 * @author mbm
 *
 */
public class JDALMASApplet extends JApplet {
	protected String host = "localhost";
	protected int port = -1;
	protected Box centerBox = Box.createVerticalBox();
	protected Box hostBox = Box.createHorizontalBox();
	protected Box portBox = Box.createHorizontalBox();
	protected JLabel hostLabel = new JLabel("Host:");
	protected JTextField hostTxt = new JTextField(host);
	protected JLabel portLabel = new JLabel("Port:");
	protected JTextField portTxt = new JTextField("" + port);
	protected JButton startBtn = new JButton("Start client");
	protected SpecificDALMASGUI gui;

	/* (non-Javadoc)
	 * @see java.applet.Applet#init()
	 */
	@Override
	public void init() {
		hostBox.add(hostLabel);
		hostBox.add(hostTxt);
		centerBox.add(hostBox);
		portBox.add(portLabel);
		portBox.add(portTxt);
		centerBox.add(portBox);
		centerBox.add(startBtn);
		this.add(centerBox);
		super.init();
	}
	
	public void startClient(SpecificDALMASGUI gui) {
		this.gui = gui;
		host = hostTxt.getText();
		port = Integer.parseInt(portTxt.getText());
		gui.startClient(host,port);
	}

	public void stop() {
		if (gui != null)
			gui.stopClient();
		super.stop();
	}

}
