package se.hig.jdalmas;

import se.sics.prologbeans.PBTerm;

public class Knowledge extends GenericComponent {
	private PBTerm prologTerm;

//	/**
//	* 
//	*/
//	public Knowledge() {
//	super();
//	}

	/**
	 * @param prologTerm
	 */
	public Knowledge(PBTerm prologTerm) {
//		super(prologTerm);
		this.prologTerm = prologTerm;
	}

	/**
	 * @return the prologTerm
	 */
	public PBTerm getPrologTerm() {
		return prologTerm;
	}

	public final String toPrologString() {
		return this.prologTerm.toString();
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return this.toPrologString();
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		return this.toString().equals(obj.toString());
	}

	@Override
	public int hashCode() {
		return this.toString().hashCode();
	}

	public static Knowledge createKnowledge(PBTerm knowledgeTerm) {
		return new Knowledge(knowledgeTerm);
	}
}