package se.hig.jdalmas.norms;

public class MoveOperator extends Operator {
	public static final MoveOperator [] M = {
		new MoveOperator(), // M
		new MoveOperator("1") // M1
	};
	
	public MoveOperator() {
		super(MOVE);
	}
	
	public MoveOperator(String parameter) {
		super(MOVE,parameter);
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		if (this.arity < 1)
			return "M";
		return "M" + this.parameter;
	}

}
