package se.hig.wasteland.evolutionary;

class WastelandSquare {
	private int x;
	private int y;
	private int amountOfWaste;
	private AgentState agentState;
	
	/**
	 * @param x
	 * @param y
	 */
	WastelandSquare(int x, int y) {
		this.x = x;
		this.y = y;
		this.amountOfWaste = 0;
		this.agentState = null;
	}

	/**
	 * @return the amountOfWaste
	 */
	int getAmountOfWaste() {
		return amountOfWaste;
	}

	/**
	 * @param amountOfWaste the amountOfWaste to set
	 */
	void setAmountOfWaste(int amountOfWaste) {
		this.amountOfWaste = amountOfWaste;
	}

	/**
	 * @return the agentState
	 */
	AgentState getAgentState() {
		return agentState;
	}

	/**
	 * @param agentState the agentState to set
	 */
	void setAgentState(AgentState agentState) {
		this.agentState = agentState;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		String outString = "(" + this.x + "," + this.y + ") [" + this.amountOfWaste + "]";
		if (this.agentState == null)
			return outString;
		return outString + " - " + this.agentState;
	}

}
